Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24426

Description

On QGIS master, clicking on an attribute table's row header to select a given feature is broken. Instead of selecting one feature, it'll select

all features from the first row all the way to the row you've clicked on. The issue is visible with datasets opened through the ogr as well as

spatialite providers (possibly more providers affected, I just haven't tested others)

Steps to reproduce

    1. Create a new project

    2. Add an existing shapefile (or spatialite) vector layer, insure the dataset has a large-ish number of features

    3. Open the attribute table

    4. Click on the row header of the fourth row

    5. While the feature associated to the fourth row should be selected, you'll notice row 1, 2, 3, and 4 have been selected

Associated revisions

Revision 51d3fac1 - 2017-05-06 08:16 AM - Mathieu Pellerin - nIRV

Fix attribute table header feature selection (fixes #16520)

History

#1 - 2017-05-05 11:35 AM - Giovanni Manghi

- Status changed from Open to Feedback

Only master, correct?

#2 - 2017-05-05 11:37 AM - Mathieu Pellerin - nIRV

- Status changed from Feedback to Open

Giovanni, I haven't tried on 2.18, but I believe it's a master-only regression.

That GIF is probably worth a thousand words:

http://i.imgur.com/HyBAoVE.gif

#3 - 2017-05-05 12:00 PM - Arnaud Poncet-Montanges
I tried it on 2.18.7 it is definitely on master.

#4 - 2017-05-06 08:16 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|51d3fac19c6aaad39f94a0807812c7b935b2652d.

#5 - 2017-05-06 11:34 AM - Giovanni Manghi

- Resolution set to fixed/implemented
